﻿using System.Collections.Generic;
using System.Drawing;

namespace SliceRectangleSample
{
  internal static class Samples
  {
    #region Class Properties

    public static Settings Sample1
    {
      get
      {
        Settings sample;

        sample = new Settings { Size = new Size(96, 96), Segments = new List<Segment> { new Segment { Location = new Point(32, 32), Size = 64, Orientation = SegmentOrientation.Vertical }, new Segment { Location = new Point(64, 0), Size = 96, Orientation = SegmentOrientation.Vertical }, new Segment { Location = new Point(0, 32), Size = 64, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(0, 64), Size = 64, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(64, 48), Size = 32, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(16, 32), Size = 32, Orientation = SegmentOrientation.Vertical }, new Segment { Location = new Point(16, 48), Size = 16, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(32, 80), Size = 32, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(48, 80), Size = 16, Orientation = SegmentOrientation.Vertical } } };
        sample.Calculate();

        return sample;
      }
    }

    public static Settings Sample2
    {
      get
      {
        Settings sample;

        sample = new Settings { Size = new Size(100, 100), Segments = new List<Segment> { new Segment { Location = new Point(0, 50), Size = 100, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(50, 0), Size = 100, Orientation = SegmentOrientation.Vertical }, new Segment { Location = new Point(50, 75), Size = 50, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(75, 50), Size = 50, Orientation = SegmentOrientation.Vertical } } };
        sample.Calculate();

        return sample;
      }
    }

    public static Settings Sample3
    {
      get
      {
        Settings sample;

        sample = new Settings { Size = new Size(90, 90), Segments = new List<Segment> { new Segment { Location = new Point(0, 30), Size = 90, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(0, 60), Size = 90, Orientation = SegmentOrientation.Horizontal }, new Segment { Location = new Point(30, 0), Size = 90, Orientation = SegmentOrientation.Vertical }, new Segment { Location = new Point(60, 0), Size = 90, Orientation = SegmentOrientation.Vertical } } };
        sample.Calculate();

        return sample;
      }
    }

    #endregion
  }
}
